/* Reset */
body,
h1,
h2,
h3,
p,
ol,
ul,
li,
a {
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style-type: none;
    color: #ffffff;
}

:root {
    --main-bg: #2c213b;
    --line-color: #ff0040;
    --color-1: #ff481a;
    --color-2: #ff994b;
    --screen-padding: 1.5em;
}

body {
    background: var(--main-bg);
    background: linear-gradient(134deg, var(--main-bg) 0%, #261818 100%);
    font-family: "Inter", sans-serif;
    font-size: 14pt;
}

@media (min-width: 2550px) {
    body {
        font-size: 20pt;
    }
}

@media (min-width: 3830px) {
    body {
        font-size: 28pt;
    }
}

html {
    scroll-behavior: smooth;
}

.container {
    max-width: 1700px;
    margin: auto;
    padding: 0 var(--screen-padding);
}

@media (min-width: 2550px) {
    .container {
        max-width: 2200px;
    }
}

@media (min-width: 3830px) {
    .container {
        max-width: 3400px;
    }
}

#top-bar {
    background-color: #ffffff;
    color: #222222;
    padding: 1ex 0;
}

#top-bar .container {
    display: flex;
    gap: 2em;
    height: 4ex;
    justify-content: center;
}

#top-bar img {
    height: 100%;
}

#top-bar a {
    display: flex;
    gap: .7em;
    align-items: center;
}

#top-bar h3 {
    font-size: 0.8em;
    font-weight: 600;
    color: #222222;
}

@media (max-width: 640px) {
    #top-bar h3 {
        display: none;
    }
}

#banner {
    background-color: #291D2C;
}

#banner .container {
    background-image: url(./img/kursi-direktur-render.webp);
    background-repeat: no-repeat;
    background-size: 50%;
    background-position: 90% 0px;
    padding: 50px var(--screen-padding);
}

#banner h1 {
    font-size: 2em;
    font-weight: 600;
    border-left: solid 5px var(--line-color);
    padding-left: 40px;
    padding-right: 20px;
    text-shadow: 0 0 3px #333333;
}

@media (max-width: 640px) {
    #banner h1 {
        font-size: 1.5em;
        padding-left: 30px;
    }
}

#banner h1 span {
    font-size: 2em;
    font-weight: 300;
    line-height: 1em;
    background: linear-gradient(90deg, var(--color-1), var(--color-2));
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: none;
}

@media (max-width: 1350px) {
    #banner .container {
        background-size: 60%;
    }
}

@media (max-width: 1140px) {
    #banner .container {
        background-size: 70%;
    }
}

@media (max-width: 950px) {
    #banner .container {
        background-size: 80%;
        background-position: 300px 0;
    }
}

@media (max-width: 850px) {
    #banner .container {
        background-size: cover;
        background-position: 280px 0;
    }
}

@media (max-width: 790px) {
    #banner .container {
        background-size: cover;
        background-position: 200px 0;
    }
}

@media (max-width: 475px) {
    #banner .container {
        background-size: auto;
        background-position: 150px 0;
    }
}

.pattern {
    background-color: #ffffff;
    background-image: url(./img/pattern.png);
    z-index: 0;
}

#pattern-0 {
    height: 12ex;
}

#welcome {
    background-color: #1f1c20;
}

#welcome p {
    color: #eeeeee;
    font-size: 0.9em;
    line-height: 1.5em;
    padding: 3ex 0;
    text-align: justify;
}

#urgent {
    background-color: rgb(218, 44, 32);
    padding-bottom: 2ex;
}

#urgent h2 {
    font-size: 1.2em;
    text-transform: uppercase;
    padding-top: 2ex;
}

#urgent p {
    font-size: 0.9em;
    line-height: 1.5em;
    padding: 1ex 0 2ex 0;
    text-align: justify;
}

#pattern-1 {
    height: 50px;
}

/* Footer section */
footer {
    background-color: #111111;
    font-size: 0.9em;
    line-height: 1.5em;
    padding-bottom: 50px;
}

footer .container {
    padding: 4ex var(--screen-padding);
    display: flex;
    align-items: flex-end;
}

footer .container div {
    flex-basis: 50%;
}

main a,
footer a {
    color: var(--color-1);
    border-bottom: dotted 1px var(--color-1);
}

main a:hover,
footer a:hover {
    color: var(--color-2);
    border-bottom: solid 1px var(--color-2);
}

footer #copy {
    font-size: 0.8em;
    text-align: right;
}

@media (max-width: 1050px) {
    footer .container {
        flex-direction: column;
        align-items: flex-start;
        gap: 40px;
    }
    footer #copy {
        text-align: left;
    }
}

main {
    line-height: 1.5em;
}

main .container {
    margin-bottom: 40px;
    padding: 0 var(--screen-padding);
}

main h2 {
    text-transform: uppercase;
    font-size: 1.6em;
    line-height: 2ex;
    font-weight: 600;
    text-align: left;
    background-color: #ffffff;
    color: var(--main-bg);
    display: inline-block;
    padding: 5px 7px;
    margin-top: 2ex;
    margin-bottom: 1ex;
}

main ol li {
    list-style-type: decimal;
}

main ol ol li {
    list-style-type: lower-latin;
}

main ol {
    padding-left: 1.7em;
}

main ul {
    padding-left: 1.1em;
}

main ul li {
    list-style-type: square;
}

main li::marker {
    color: var(--line-color);
}

main li,
main p {
    margin-bottom: 1ex;
}

@media (min-width: 990px) {
    main .container {
        display: flex;
        gap: 60px;
    }

    main section {
        flex-basis: 50%;
    }
}

/* Timeline Container */
.timeline {
    margin: 20px auto;
    padding: 5px;
}

/* Card container */
.timeline .card {
    position: relative;
}

/* setting padding based on even or odd */
.timeline .card:nth-child(odd) {
    padding: 30px 0 30px 30px;
}

.timeline .card:nth-child(even) {
    padding: 30px 30px 30px 0;
}

/* Global ::before */
.timeline .card::before {
    content: "";
    position: absolute;
    width: 50%;
    border: solid #ff0040;
}

/* Setting the border of top, bottom, left */
.timeline .card:nth-child(odd)::before {
    left: 0px;
    top: -4.5px;
    bottom: -4.5px;
    border-width: 5px 0 5px 5px;
    border-radius: 20px 0 0 20px;
}

/* Setting the border of top, bottom, right */
.timeline .card:nth-child(even)::before {
    right: 0;
    top: 0;
    bottom: 0;
    border-width: 5px 5px 5px 0;
    border-radius: 0 20px 20px 0;
}

/* Removing the border if it is the first card */
.timeline .card:first-child::before {
    border-top: 0;
    border-top-left-radius: 0;
}

/* Removing the border if it is the last card  and it's odd */
.timeline .card:last-child:nth-child(odd)::before {
    border-bottom: 0;
    border-bottom-left-radius: 0;
}

/* Removing the border if it is the last card  and it's even */
.timeline .card:last-child:nth-child(even)::before {
    border-bottom: 0;
    border-bottom-right-radius: 0;
}

/* Information about the timeline */
.timeline .info {
    display: flex;
    flex-direction: column;
    background: #1b1320;
    border-radius: 10px;
    padding: 10px 20px;
}

.timeline .info h3 {
    font-size: 1em;
    font-weight: 400;
    text-transform: uppercase;
    padding: 0;
    margin: 10px 0;
}

.timeline .info p {
    font-size: 0.9em;
    line-height: 1.7em;
    padding: 0;
    margin: 0 0 10px 0;
}

/* Title of the card */
.timeline .title {
    color: var(--line-color);
    position: relative;
}

/* Timeline dot  */
.timeline .title::before {
    content: "";
    position: absolute;
    width: 20px;
    height: 20px;
    top: 3px;
    background: var(--line-color);
    border-radius: 999px;
}

/* text right if the card is even  */
.timeline .card:nth-child(even)>.info>.title {
    text-align: right;
}

.timeline .card:nth-child(even)>.info>p {
    text-align: right;
}

/* setting dot to the left if the card is odd */
.timeline .card:nth-child(odd)>.info>.title::before {
    left: -57px;
}

/* setting dot to the right if the card is odd */
.timeline .card:nth-child(even)>.info>.title::before {
    right: -57px;
}

.submit-link {
    color: var(--main-bg);
    padding: 5px 10px;
    line-height: 3em;
    font-size: 1.2em;
    font-weight: 600;
    background: #fd6f1d;

    &:hover {
        background-color: var(--color-2);
        color: var(--main-bg);
    }
}

.doc-link {
    display: flex;
    align-items: center;
    gap: 2ex;
    margin-bottom: 20px;
}

.doc-link p {
    margin: 0;
    flex-basis: 1;
}

.paper {
    position: relative;
    padding: 6px 15px 4px 15px;
    height: 1.8em;
    line-height: 1.8em;
    flex-basis: 16ex;
    flex-shrink: 0;
}

a.paper,
a:hover.paper {
    color: #c6cdd4;
    border: none;
    font-size: 0.8em;
    text-align: center;
}

@media (max-width: 550px) {
    .paper {
        flex-basis: 9ex;
        overflow: auto;
        height: auto;
    }
}

.paper:hover {
    background: #4c75ce;
}

.fold-corner {
    background: #2040f1;

    &::after {
        content: "";
        position: absolute;
        right: 0;
        top: 0;
        border-style: solid;
        border-width: .4em;
        border-color: #291c26 #291c26 #ddd #ddd;
        transition: all 0.1s;
    }

    &:hover::after {
        border-width: .6em;
    }
}

#menu-bar {
    margin-top: -10ex;
    padding: 0 var(--screen-padding);
    background-color: #ffffff;
}

#menu-bar ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
}

#menu-bar a {
    color: var(--main-bg);
    font-size: 0.9em;
    line-height: 4ex;
    font-weight: 600;
    border-bottom: dotted 1px var(--main-bg);
    text-transform: uppercase;
}

#menu-bar a:hover {
    color: var(--line-color);
}

@media (max-width: 820px) {
    #menu-bar ul {
        flex-direction: column;
        align-items: center;
        gap: 0;
    }

    #menu-bar li {
        width: 100%;
        text-align: center;
        border-bottom: solid 1px #1f1c20;
        padding: 10px 0;
    }

    #menu-bar li:last-child {
        border: none;
    }

    #menu-bar a {
        border: none;
    }
}

#urgent {
    background-color: #d52d16;
    padding-bottom: 2ex;
}

#urgent h2 {
    font-size: 1.2em;
    text-transform: uppercase;
    padding-top: 2ex;
}

#urgent .doc-link
{
    margin: 0;
}

#urgent .doc-link p {
    color: #f7e2e2;
    margin: 1ex 0 0 0;
}

#urgent .fold-corner {
    background: #e4e4e4;

    &::after {
        border-color: #d52d16 #d52d16 #a1a1a1 #a1a1a1;
    }
}

#urgent a.paper,
#urgent a:hover.paper {
    color: #111111;
}